Subject: Re: bug#34707: Failure to find the associated pdump file

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Jun 2019 22:23:02 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Mon, 17 Jun 2019 20:56:13 +0200
> Cc: [email-masked]
> 
> When Emacs is able to find the rest of itself, it's odd that it's
> not finding the pdump file, surely?

It's odd only if you don't consider the details.  Emacs finds the rest
of itself by consing Lisp strings, but that technique is unusable when
looking for the pdump file, because we must find it before we can
allocate memory etc., so we could set the heap flags correctly.  See
the comments in 'main'.  It's a typical bootstrap problem.

Solution is surely possible, it's just that it isn't "more of the
same", i.e. we cannot simply reuse the code which finds, say,
data-directory and similar.